Get Cluster Namespace Summary
GET
/clusters/{cluster_id}/namespaces/{namespace}/summary
const url = 'https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/namespaces/example/summary';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/clusters/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/namespaces/example/summarySummarize a namespace’s workloads and PVCs for migration review.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”cluster_id
required
Cluster Id
string format: uuid
namespace
required
Namespace
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
NamespaceSummary
object
namespace
required
Namespace
string
workloads
required
NamespaceWorkloadCounts
object
deployments
required
Deployments
integer
statefulsets
required
Statefulsets
integer
daemonsets
required
Daemonsets
integer
pvcs
required
total_pvc_size_gb
required
Total Pvc Size Gb
number
services
required
Services
integer
configmaps
required
Configmaps
integer
secrets
required
Secrets
integer
Examplegenerated
{ "namespace": "example", "workloads": { "deployments": 1, "statefulsets": 1, "daemonsets": 1 }, "pvcs": [ { "name": "example", "storage_class": "example", "capacity_gb": 1, "access_modes": [ "example" ], "bound": true } ], "total_pvc_size_gb": 1, "services": 1, "configmaps": 1, "secrets": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}